## org.eclipse.emf.ecore.presentation
Class DynamicModelWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.emf.ecore.presentation.DynamicModelWizard

All Implemented Interfaces:
  IWizard, INewWizard, IWorkbenchWizard

    public class DynamicModelWizard

extends Wizard
implements INewWizard

This is a simple wizard for creating a new dynamic model file.

Nested Class Summary
`class` `DynamicModelWizard.DynamicModelWizardNewFileCreationPage` This is the one page of the wizard.

Field Summary
`protected EClass` `eClass` This caches the class instance.
`protected DynamicModelWizard.DynamicModelWizardNewFileCreationPage` `newFileCreationPage` This is the file creation page.
`protected IStructuredSelection` `selection` Remember the selection during initialization for populating the default container.
`protected IWorkbench` `workbench` Remember the workbench during initialization.

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`DynamicModelWizard(EClass eClass)` Creates an instance.

Method Summary
`void` `addPages()` The framework calls this to create the contents of the wizard.
`IFile` `getModelFile()` Get the file from the page.
`void` `init(IWorkbench workbench, IStructuredSelection selection)` This just records the information.
`boolean` `performFinish()` Do the work after everything is specified.

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Field Detail

### eClass

    protected EClass eClass

  This caches the class instance.

### newFileCreationPage

    protected DynamicModelWizard.DynamicModelWizardNewFileCreationPage newFileCreationPage

  This is the file creation page.

### selection

    protected IStructuredSelection selection

  Remember the selection during initialization for populating the default container.

### workbench

    protected IWorkbench workbench

  Remember the workbench during initialization.

Constructor Detail

### DynamicModelWizard

    public DynamicModelWizard(EClass eClass)

  Creates an instance.

Method Detail

### init

    public void init(IWorkbench workbench,
                     IStructuredSelection selection)

  This just records the information.

  Specified by:
    `init` in interface `IWorkbenchWizard`

### performFinish

    public boolean performFinish()

  Do the work after everything is specified.

  Specified by:
    `performFinish` in interface `IWizard`
  Specified by:
    `performFinish` in class `Wizard`

### addPages

    public void addPages()

  The framework calls this to create the contents of the wizard.

  Specified by:
    `addPages` in interface `IWizard`
  Overrides:
    `addPages` in class `Wizard`

### getModelFile

    public IFile getModelFile()

  Get the file from the page.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.